#include "qad_piqt_utils.h"

#include "pivaluetree_edit_plugin.h"
#include "pivariantedit_plugin.h"

QADPiQtUtils::QADPiQtUtils(QObject * parent): QObject(parent) {
	m_widgets.append(new PIValueTreeEditPlugin(this));
	m_widgets.append(new PIVariantEditPlugin(this));
}


QList<QDesignerCustomWidgetInterface *> QADPiQtUtils::customWidgets() const {
	return m_widgets;
}


#if QT_VERSION < 0x050000
Q_EXPORT_PLUGIN2(qad_piqt_utils_plugin, QADPiQtUtils)
#endif
